using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Globalization;
using System.Threading;

using SystemCommon;


namespace 顧客分析君
{
    public partial class _106言語選択 : Form
    {
        ////////////////////////////////////////////////////////////////////////
        // メンバ変数
        ////////////////////////////////////////////////////////////////////////
        #region メンバ変数

        public bool mb初期表示 = false;

        #endregion


        ////////////////////////////////////////////////////////////////////////
        // 公開 共通メソッド 
        ////////////////////////////////////////////////////////////////////////
        #region 公開 共通メソッド

        public _106言語選択()
        {
            InitializeComponent();
        }

        #endregion

        ////////////////////////////////////////////////////////////////////////
        // 非公開 共通メソッド
        ////////////////////////////////////////////////////////////////////////
        #region 非公開 共通メソッド


        #endregion


        ////////////////////////////////////////////////////////////////////////
        // イベントハンドラ
        ////////////////////////////////////////////////////////////////////////
        #region イベントハンドラ

        private void _106言語選択_Load(object sender, EventArgs e)
        {
            try
            {
                CultureInfo[] cultures =CultureInfo.GetCultures(CultureTypes.NeutralCultures);
                cmb言語.DataSource = cultures;
                cmb言語.DisplayMember = "DisplayName";

                if (d01属性ta.Scalar値(92) == "")
                {
                    cmb言語.Text = Application.CurrentCulture.Parent.DisplayName;
                    //Program.システム共通処理.Set言語(Application.CurrentCulture.Parent.Name);
                    Thread.CurrentThread.CurrentUICulture 
                        = new CultureInfo(Application.CurrentCulture.Parent.Name, true);
                }
                else
                {
                    CultureInfo culture = new CultureInfo(d01属性ta.Scalar値(92), true);
                    cmb言語.Text = culture.DisplayName;
                }
            }
            catch (Exception ex)
            {
                C04システム共通.ErrorLog("_106言語選択", "_106言語選択_Load", ex);
            }
        }

        private void btnOK_Click(object sender, EventArgs e)
        {
            try
            {
                CultureInfo culture = (CultureInfo)this.cmb言語.SelectedItem;
                Thread.CurrentThread.CurrentUICulture = culture;

                //CultureInfo culture = (CultureInfo)cmb言語.SelectedItem;
                //Thread.CurrentThread.CurrentUICulture = culture;

                //Program.システム共通処理.Set言語(culture.Name);
                //d01属性ta.Update(culture.Name, C02業務共通処理.miログインスタッフNo, 92);
				d01属性ta.Update(culture.Name, C02業務共通処理.miログインスタッフNo, 92);

                //Thread.CurrentThread.CurrentUICulture = new CultureInfo("en", true);
                //Thread.CurrentThread.CurrentUICulture = new CultureInfo(str言語名, true);

                //d01属性ta.Update("en", C02業務共通処理.miログインスタッフNo, 92);

                //C02業務共通処理.Insert操作履歴(this.Text, Properties.Resources.OPRT_008);
				C02業務共通処理.Insert操作履歴(this.Text, Properties.Resources.OPRT_008);

                if (mb初期表示 == false)
                    MessageBox.Show(Properties.Resources.MSG_I_登録が完了しました, this.Text, MessageBoxButtons.OK,
                        MessageBoxIcon.Information);

                this.DialogResult = DialogResult.OK;
                this.Close();
            }
            catch (Exception ex)
            {
                C04システム共通.ErrorLog("_106言語選択", "btn確定_Click", ex);
            }
        }

        private void btnキャンセル_Click(object sender, EventArgs e)
        {
            try
            {
                this.Close();
            }
            catch (Exception ex)
            {
                C04システム共通.ErrorLog("_106言語選択", "btnキャンセル_Click", ex);
            }
        }

        #endregion

    }
}
